Page MenuHomePhabricator

[DA][NewPM] Handle transitive dependencies in the new-pm version of DA
ClosedPublic

Authored by philip.pfaffe on Jan 7 2019, 3:17 AM.

Details

Summary

The analysis result of DA caches pointers to AA, SCEV, and LI, but it
never checks for their invalidation. Fix that.

Diff Detail

Repository
rL LLVM

Event Timeline

philip.pfaffe created this revision.Jan 7 2019, 3:17 AM

Rebase onto D56386 and add testcase for DA invalidation

dmgreen accepted this revision.Jan 8 2019, 5:43 AM

Some of D56386 seems to be mixed up in here I think?

From what I can see of the new code, the invalidate looks a lot like the that from AA, so looks sensible. Maybe leave this open a day or so for other timezones to check, but LGTM.

This revision is now accepted and ready to land.Jan 8 2019, 5:43 AM

Rebase (and drop changes from D56386 that snuck in).

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptFeb 3 2019, 4:27 AM